Subject: bug#17684: bug#22873: #22873 (multiple fake cursors); and, #17684 (crosshairs / fill-column).

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 01 Oct 2020 18:21:14 +0200

Thanks for the explanation.  Some comments:

Keith David Bershatsky <[email-masked]> writes:

> Drew Adams contacted me several months ago and requested that I change
> `crosshairs.el` to anything else since he has a crosshairs library on
> wiki, and he didn't want any potential confusion.  There is nothing
> better I could think of as a name for the 17684 Lisp library and since
> crosshairs goes against the wishes of Drew, I just went ahead and
> changed the name to +-mode.el, because the plus sign looks like a
> crosshairs, and I use the plus sign as the mode-line minor-mode
> lighter.

Well, +-mode is not acceptable as an Emacs library name, unfortunately.
The concept is usually "cross hairs", so cross-hairs.el would be fine.

> 22873 (multiple cursors) is presently just a framework to generate
> fake cursors anywhere on the window-body.  Nothing has been written
> yet to perform any type of user command/function action at each
> location of fake cursors.

Ah, I see.

> In order to reduce as much as possible any modifications to existing
> functions in the core of Emacs, I copied a lot of those functions
> functions, changed their names, added additional arguments as needed
> (supra), and modified some of the body as needed.

If this is to be included in Emacs, that duplication has to be resolved,
though.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no